%define version 2.1.1

Summary: Analyzes and Reports on system logs
Name: logwatch
Version: %{version}
Release: 1
Copyright: GPL
Group: Applications/System
URL: http://www.kaybee.org/~kirk/html/linux.html
Vendor: Kirk Bauer <kirk@kaybee.org>
Source: ftp://ftp.kaybee.org/pub/linux/logwatch-%{version}.tar.gz
Requires: textutils,sh-utils,grep,perl
BuildRoot: %{_tmppath}/logwatch-build
BuildArchitectures: noarch 

%description
LogWatch is a customizable, pluggable log-monitoring system.  It will go
through your logs for a given period of time and make a report in the areas
that you wish with the detail that you wish.  Easy to use - works right out
of the package on almost all systems.  Now analyzes samba logs!  Improved
to work better with Red Hat Linux 5.2 and BIND 8.X.

%prep
%setup -q 

%build

%install
rm -rf $RPM_BUILD_ROOT

install -m 0755 -d ${RPM_BUILD_ROOT}%{_sysconfdir}/log.d/conf/logfiles
install -m 0755 -d ${RPM_BUILD_ROOT}%{_sysconfdir}/log.d/conf/services
install -m 0755 -d ${RPM_BUILD_ROOT}%{_sysconfdir}/log.d/scripts/services
install -m 0755 -d ${RPM_BUILD_ROOT}%{_sysconfdir}/log.d/scripts/shared
install -m 0755 -d ${RPM_BUILD_ROOT}%{_sysconfdir}/log.d/scripts/logfiles/xferlog
install -m 0755 -d ${RPM_BUILD_ROOT}%{_sysconfdir}/log.d/scripts/logfiles/cron
install -m 0755 -d ${RPM_BUILD_ROOT}%{_sysconfdir}/log.d/scripts/logfiles/samba

install -m 0755 scripts/logwatch.pl ${RPM_BUILD_ROOT}%{_sysconfdir}/log.d/scripts/logwatch.pl
install -m 0755 scripts/logfiles/xferlog/* ${RPM_BUILD_ROOT}%{_sysconfdir}/log.d/scripts/logfiles/xferlog
install -m 0755 scripts/logfiles/cron/* ${RPM_BUILD_ROOT}%{_sysconfdir}/log.d/scripts/logfiles/cron
install -m 0755 scripts/logfiles/samba/* ${RPM_BUILD_ROOT}%{_sysconfdir}/log.d/scripts/logfiles/samba
install -m 0755 scripts/services/* ${RPM_BUILD_ROOT}%{_sysconfdir}/log.d/scripts/services
install -m 0755 scripts/shared/* ${RPM_BUILD_ROOT}%{_sysconfdir}/log.d/scripts/shared

install -m 0644 conf/logwatch.conf ${RPM_BUILD_ROOT}%{_sysconfdir}/log.d/conf/logwatch.conf
install -m 0644 conf/logfiles/* ${RPM_BUILD_ROOT}%{_sysconfdir}/log.d/conf/logfiles
install -m 0644 conf/services/* ${RPM_BUILD_ROOT}%{_sysconfdir}/log.d/conf/services

install -m 0755 -d ${RPM_BUILD_ROOT}%{_mandir}/man8
install -m 0644 logwatch.8 ${RPM_BUILD_ROOT}%{_mandir}/man8

rm -f ${RPM_BUILD_ROOT}%{_sysconfdir}/log.d/logwatch \
   ${RPM_BUILD_ROOT}%{_sysconfdir}/log.d/logwatch.conf \
   ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily/00-logwatch \
   ${RPM_BUILD_ROOT}%{_sbindir}/logwatch

ln -s scripts/logwatch.pl ${RPM_BUILD_ROOT}%{_sysconfdir}/log.d/logwatch
ln -s conf/logwatch.conf ${RPM_BUILD_ROOT}%{_sysconfdir}/log.d/logwatch.conf
install -m 0755 -d ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily
ln -s ../log.d/scripts/logwatch.pl ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily/00-logwatch
install -m 0755 -d ${RPM_BUILD_ROOT}%{_sbindir}
ln -s ../..%{_sysconfdir}/log.d/scripts/logwatch.pl ${RPM_BUILD_ROOT}%{_sbindir}/logwatch

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo
echo "You should take a look at /etc/log.d/logwatch.conf..."
echo "Especially the Detail entry..."
echo
echo "There are now mailing lists, take a look at the README"
echo "in the /usr/doc/logwatch* directory."
echo

%files
%defattr(-,root,root)
%doc COPYING CHANGES README HOWTO-Make-Filter
%dir %{_sysconfdir}/log.d
%dir %{_sysconfdir}/log.d/conf
%dir %{_sysconfdir}/log.d/scripts
%dir %{_sysconfdir}/log.d/conf/logfiles
%dir %{_sysconfdir}/log.d/conf/services
%dir %{_sysconfdir}/log.d/scripts/logfiles
%dir %{_sysconfdir}/log.d/scripts/services
%dir %{_sysconfdir}/log.d/scripts/shared
%dir %{_sysconfdir}/log.d/scripts/logfiles/xferlog
%dir %{_sysconfdir}/log.d/scripts/logfiles/cron
%dir %{_sysconfdir}/log.d/scripts/logfiles/samba
%config %{_sysconfdir}/log.d/conf/logwatch.conf
%config %{_sysconfdir}/log.d/conf/services/*
%config %{_sysconfdir}/log.d/conf/logfiles/*
%{_sysconfdir}/log.d/scripts/logwatch.pl
%{_sbindir}/logwatch
%{_mandir}/man8/logwatch.8*
%{_sysconfdir}/log.d/scripts/shared/*
%{_sysconfdir}/log.d/scripts/services/*
%{_sysconfdir}/log.d/scripts/logfiles/xferlog/*
%{_sysconfdir}/log.d/scripts/logfiles/cron/*
%{_sysconfdir}/log.d/scripts/logfiles/samba/*
%{_sysconfdir}/log.d/logwatch
%{_sysconfdir}/log.d/logwatch.conf
%{_sysconfdir}/cron.daily/00-logwatch

%changelog 
* Tue Jan  9 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 2.1.1
- included some stuff from Kirk Bauer's <kirk@kaybee.org> 2.1.1-1 spec
- use more macros (%%{_sbindir}, %%{_sysconfdir}, %%{_mandir})

* Mon Jul 31 2000 Peter Hanecak <hanecak@megaloman.sk>
- %%{_tmppath} used
- added vendor tag
- handle compressed manpages

* Mon Jul 19 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- updated source

* Fri Oct 2 1998 Michael Maher <mike@redhat.com>
- built package
